Summary:        Cabinet file library and tool
Name:           gcab
Version:        1.5
Release:        4%{?dist}
License:        LGPLv2+
URL:            http://ftp.gnome.org/pub/GNOME/sources/gcab
Source0:        http://ftp.gnome.org/pub/GNOME/sources/gcab/%{version}/%{name}-%{version}.tar.xz
Patch3000:      0001-meson-git-version-is-optional.patch

BuildRequires:  meson
BuildRequires:  vala
BuildRequires:  git git-core
BuildRequires:  gettext gtk-doc
BuildRequires:  glib2-devel zlib-devel
BuildRequires:  gobject-introspection-devel
Requires:       libgcab1 = %{version}-%{release}

%description
This package provides a tool to manipulate Cabinet archive.

%package -n libgcab1
Summary:        Library to create Cabinet archives

%description -n libgcab1
A library to manipulate Cabinet archive using GIO/GObject.

%package -n libgcab1-devel
Summary:        Development files to create Cabinet archives
Requires:       libgcab1 = %{version}-%{release}
Requires:       glib2-devel
Requires:       pkgconfig

%description -n libgcab1-devel
This package contains Libraries, includes, etc. to compile for gcab.

%prep
%autosetup -S git_am

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name}

%check
%meson_test

%files
%license COPYING
%doc NEWS
%{_bindir}/gcab
%{_mandir}/man1/gcab.1*

%files -n libgcab1 -f %{name}.lang
%license COPYING
%doc NEWS
%{_libdir}/girepository-1.0/GCab-1.0.typelib
%{_libdir}/libgcab-1.0.so.*

%files -n libgcab1-devel
%{_includedir}/libgcab-1.0/*
%{_libdir}/libgcab-1.0.so
%{_libdir}/pkgconfig/libgcab-1.0.pc
%{_datadir}/gir-1.0/GCab-1.0.gir
%{_datadir}/gtk-doc/html/gcab/*
%{_datadir}/vala/vapi/libgcab-1.0.vapi
%{_datadir}/vala/vapi/libgcab-1.0.deps

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Nov 16 2022 Wang Guodong <gordonwwang@tencent.com> - 1.5-1
- package init.
